MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025390Open CASCADE[OCCT] OCCT:Documentationpublic2014-10-17 11:462015-05-14 16:26
Reporterysn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025390: Redesign of Technical Overview
DescriptionThe Technical Overview has to be redesigned to be usable at .org site and for consistency with User Guides.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Filesdocx file icon overview_remarks_ssv.docx (1,550,729 bytes) 2015-02-15 17:33

- Relationships
related to 0023640closedbugmaster Community Documentation for local sewing with BRepBuilderAPI_Sewing is missing 

-  Notes
(0033531)
git (administrator)
2014-10-22 11:58

Branch CR25390 has been created by ysn.

SHA-1: 9e5f62eb2c75124e6a3df77ac0c732e552c4926f


Detailed log of new commits:

Author: ysn
Date: Wed Oct 22 11:57:45 2014 +0400

    1st step of Technical overview revision - preparation of a 1 page per module flat document and relocation of all other information to the Users' guides. User's guides have not been finalized and are in a Draft state.
(0033829)
git (administrator)
2014-10-29 14:56

Branch CR25390 has been updated by ysn.

SHA-1: 79d4633c80ba2519c7ee15ed243d77eb315ba405


Detailed log of new commits:

Author: ysn
Date: Wed Oct 29 15:56:17 2014 +0400

    No-TO version has been merged with an updated visualization UG.

(0033832)
ysn (developer)
2014-10-29 15:04

The technical overview has been revised to provide 1 page per module structure.
 
Most of TO content could be merged to UGs smoothly, but there still exist some questions.
(0035276)
git (administrator)
2014-12-10 17:24

Branch CR25390_1 has been created by ysn.

SHA-1: f50be555c4c297e42178734cec2d2e904be885a0


Detailed log of new commits:

Author: ysn
Date: Wed Dec 10 17:24:29 2014 +0300

    The modified Technical Overview has been rebased to the current master.
    Modified the text of visualization section to make emphasis on newly added features. Better-looking images used.
(0035277)
ysn (developer)
2014-12-10 17:27

Please review. This branch CR25390_1 modifies only the technical overview.
The transfer of its parts to User's Guides has been done in branch 23640.
(0035587)
git (administrator)
2014-12-23 10:54

Branch CR25390_1 has been updated by szv.

SHA-1: 892fc8b3b480f25d0fe445b5dbcb13f27060e433


Detailed log of new commits:

Author: szv
Date: Tue Dec 23 10:54:39 2014 +0300

    Some wording is modified

(0035590)
szv (manager)
2014-12-23 10:56

Please proofread my amendments, paying special attention to English wording - some not modified paragraphs still contain ugly English.
(0036710)
git (administrator)
2015-01-27 14:51

Branch CR25390_1 has been updated by ysn.

SHA-1: 12d18f3c1af422f4f8986e3ef71ad3dd5070c2f0


Detailed log of new commits:

Author: ysn
Date: Tue Jan 27 15:50:51 2015 +0400

    Style and concision improvements.

(0036711)
ysn (developer)
2015-01-27 14:55

I've reviewed (and mostly agreed with) amendments and made some efforts to improve the style.
(0036896)
szv (manager)
2015-01-30 14:43

Hi Sergey, would you please review the last version?
(0037555)
ssv (developer)
2015-02-16 09:55

Dear szv,

I provided my remarks in the attached docx document. Generally I see 2 issues:

1. Some formulations in text were a bit weird to me, so check, please, my
   modifications and comments.

2. Quality of illustrations is not good on my opinion (also commented in docx).
   Of course, it is minor, but for official documentation, don't we want to
   have best quality?

  a) Some pictures were modified by manual changing of their backgrounds (!). It is very
     noticeable. I propose either to keep the original images or to redo the
     referenced material from scratch in Draw with properly established
     visualization properties (e.g. gradient background etc).

  b) I would also significantly reduce the image sizes as they consume a
     lot of space, providing very few useful information.

  c) Illustration with dimensions. For real CAD engineers, isn't it just ridiculous?
     In all contexts where I have ever seen dimensions, they are plotted in
     projection views, not in axonometry with just chaotic outlines.
(0040490)
git (administrator)
2015-04-30 15:59

Branch CR25390_3 has been created by ysn.

SHA-1: e6c4832101092c95c2262ea93be25bec8a190c06


Detailed log of new commits:

Author: ysn
Date: Thu Apr 30 15:58:34 2015 +0300

    The remarks by SSV implemented. Questionable images removed completely.
    The changes in the technical overview base on the current master.
    Additionally, some fixes in the modeling_algos UG
(0040493)
ysn (developer)
2015-04-30 16:07

The remarks by SSV are implemented .
I completely agree that images need to be recreated using Draw taking into consideration that black background of images looks very poorly in web pages.

For the moment the questionable images are just removed.

If further changes are necessary, we can move on. However, it is necessary to integrate this patch in coming version 6.9.
(0040561)
ssv (developer)
2015-05-05 16:07
edited on: 2015-05-05 16:07

Just few minor remarks:

1. Redundant trailing dot in "Basic interpreter of expressions facilitating the creation of customized scripting tools, generic definition of expressions, etc.;"

2. In all lists of the document you use different dash characters (sometimes long "--" and sometimes short "-"). Consider using — (mdash in HTML) special character instead.

3. If removal of problematic images is a temporary solution, then we need to have a dedicated issue in BT to return to it in future. Could you create it with a reference to the original document attached to this issue?

(0040563)
abv (manager)
2015-05-05 16:22

Note that "—" can be used only if it well supported by both HTML and PDF outputs
(0040564)
ysn (developer)
2015-05-05 16:32

1. It is not redundant: etc. is always written with dot regardless of the sign which follows.
2. Is it really important?
3. OK
(0040566)
ssv (developer)
2015-05-05 16:51

1. If so, the dot should be added in stuff like "etc).". Examples: http://grammarist.com/usage/et-cetera-etc/ [^] and http://english.stackexchange.com/questions/23022/how-to-deal-with-abbreviations-like-etc-at-the-end-of-parentheses-which-are-c [^]

2. Being not important, for me, it is still a culture of working with texts.
(0040567)
ysn (developer)
2015-05-05 16:59

1. No, you are wrong. There are no parentheses. There is a semicolon. Dot is placed before a semicolon in such cases.

2. I've created a separate bug for this issue.
(0040593)
git (administrator)
2015-05-06 06:03

Branch CR25390_4 has been created by abv.

SHA-1: 55dc4fb2cb8b832c633f91620ef7527236f76619


Detailed log of new commits:

Author: ysn
Date: Thu Apr 30 15:58:34 2015 +0300

    0025390: Redesign of Technical Overview
    
    Technical overview refactored; text duplicating information contained in user guides removed.
    Some images are regenerated for better presentation.
    Problems with formatting and section tags corrected in user guides.
(0040594)
abv (manager)
2015-05-06 06:13

Reviewed, please integrate. Note that I have made some changes (edited commit message, regenerated images using models from unknown sources, corrected warnings reported by Doxygen 1.8.9), the result is in branch CR25390_4.
(0040963)
git (administrator)
2015-05-14 16:26

Branch CR25390 has been deleted by inv.

SHA-1: 79d4633c80ba2519c7ee15ed243d77eb315ba405
(0040964)
git (administrator)
2015-05-14 16:26

Branch CR25390_1 has been deleted by inv.

SHA-1: 12d18f3c1af422f4f8986e3ef71ad3dd5070c2f0
(0040965)
git (administrator)
2015-05-14 16:26

Branch CR25390_3 has been deleted by inv.

SHA-1: e6c4832101092c95c2262ea93be25bec8a190c06
(0040966)
git (administrator)
2015-05-14 16:26

Branch CR25390_4 has been deleted by inv.

SHA-1: 55dc4fb2cb8b832c633f91620ef7527236f76619

- Related Changesets
occt: master 2683e647
Timestamp: 2015-04-30 12:58:34
Author: ysn
Committer: bugmaster
Details ] Diff ]
0025390: Redesign of Technical Overview

Technical overview refactored; text duplicating information contained in user guides removed.
Some images are regenerated for better presentation.
Problems with formatting and section tags corrected in user guides.
mod - dox/dev_guides/wok/wok.md Diff ] File ]
add - dox/technical_overview/images/0001.png Diff ] File ]
add - dox/technical_overview/images/0002.png Diff ] File ]
add - dox/technical_overview/images/0003.png Diff ] File ]
add - dox/technical_overview/images/0004.png Diff ] File ]
add - dox/technical_overview/images/0008.png Diff ] File ]
add - dox/technical_overview/images/0012.png Diff ] File ]
add - dox/technical_overview/images/0013.png Diff ] File ]
add - dox/technical_overview/images/0014.png Diff ] File ]
rm - dox/technical_overview/images/239_xde_12_400.png Diff ] File ]
rm - dox/technical_overview/images/610_xde_01_400.png Diff ] File ]
rm - dox/technical_overview/images/614_xde_04_400.png Diff ] File ]
rm - dox/technical_overview/images/642_sh_08_400.png Diff ] File ]
rm - dox/technical_overview/images/644_sh_09_400.png Diff ] File ]
rm - dox/technical_overview/images/646_xde_11_400.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_buildingmodules.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_de.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_ma.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_md.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_occ_0005.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_occ_0006.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_occ_0007.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_occ_0008.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_occ_0068.png Diff ] File ]
mod - dox/technical_overview/images/technical_overview_schema.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_shapeattrib.png Diff ] File ]
rm - dox/technical_overview/images/technical_overview_viz.png Diff ] File ]
mod - dox/technical_overview/technical_overview.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-17 11:46 ysn New Issue
2014-10-17 11:46 ysn Assigned To => ysn
2014-10-17 15:45 szv Summary Dedesign of Technical Overview => Redesign of Technical Overview
2014-10-17 15:45 szv Description Updated View Revisions
2014-10-22 11:58 git Note Added: 0033531
2014-10-29 06:32 abv Target Version 6.8.0 => 7.1.0
2014-10-29 14:38 ysn Assigned To ysn => szv
2014-10-29 14:56 git Note Added: 0033829
2014-10-29 15:04 ysn Note Added: 0033832
2014-10-29 15:05 ysn Status new => feedback
2014-12-10 17:24 git Note Added: 0035276
2014-12-10 17:27 ysn Note Added: 0035277
2014-12-23 10:54 git Note Added: 0035587
2014-12-23 10:56 szv Note Added: 0035590
2014-12-23 10:56 szv Assigned To szv => ysn
2014-12-23 10:56 szv Status feedback => assigned
2015-01-27 14:51 git Note Added: 0036710
2015-01-27 14:53 ysn Assigned To ysn => szv
2015-01-27 14:55 ysn Note Added: 0036711
2015-01-27 14:55 ysn Status assigned => feedback
2015-01-30 14:43 szv Note Added: 0036896
2015-01-30 14:43 szv Assigned To szv => ssv
2015-01-30 14:43 szv Status feedback => assigned
2015-02-15 17:33 ssv File Added: overview_remarks_ssv.docx
2015-02-16 09:55 ssv Note Added: 0037555
2015-02-16 09:55 ssv Assigned To ssv => szv
2015-02-16 09:55 ssv Status assigned => feedback
2015-04-30 15:59 git Note Added: 0040490
2015-04-30 16:07 ysn Note Added: 0040493
2015-04-30 17:37 abv Target Version 7.1.0 => 6.9.0
2015-04-30 17:37 abv Assigned To szv => ssv
2015-05-05 16:07 ssv Note Added: 0040561
2015-05-05 16:07 ssv Assigned To ssv => ysn
2015-05-05 16:07 ssv Status feedback => assigned
2015-05-05 16:07 ssv Note Edited: 0040561 View Revisions
2015-05-05 16:22 abv Note Added: 0040563
2015-05-05 16:32 ysn Note Added: 0040564
2015-05-05 16:49 ysn Relationship added related to 0026186
2015-05-05 16:51 ssv Note Added: 0040566
2015-05-05 16:54 ysn Relationship added related to 0026187
2015-05-05 16:59 ysn Note Added: 0040567
2015-05-05 17:01 ysn Assigned To ysn => abv
2015-05-05 17:01 ysn Status assigned => resolved
2015-05-05 17:01 ysn Steps to Reproduce Updated View Revisions
2015-05-05 21:26 abv Relationship added related to 0023640
2015-05-06 06:03 git Note Added: 0040593
2015-05-06 06:13 abv Note Added: 0040594
2015-05-06 06:13 abv Assigned To abv => bugmaster
2015-05-06 06:13 abv Status resolved => reviewed
2015-05-06 12:02 bugmaster Status reviewed => tested
2015-05-07 11:18 bugmaster Changeset attached => occt master 2683e647
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:26 git Note Added: 0040963
2015-05-14 16:26 git Note Added: 0040964
2015-05-14 16:26 git Note Added: 0040965
2015-05-14 16:26 git Note Added: 0040966


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker